Interface: ChatCreate
Input for creating a chat via POST /chats (strict — id/title/type required).
Properties
id
id:
string
metadata?
optionalmetadata?:StringMap
owner?
optionalowner?:User&object
Chat owner. The owner is attached as a participant too, so it may carry
per-chat rights overrides (unlike rights in participants[], which are
ignored for the owner).
Type Declaration
rights?
optionalrights?:object
rights.can_press_buttons?
optionalcan_press_buttons?:boolean|null
rights.create_pool?
optionalcreate_pool?:boolean|null
rights.delete_messages?
optionaldelete_messages?:"none"|"my"|"any"|null
rights.edit_messages?
optionaledit_messages?:"none"|"my"|"any"|null
rights.kick_users?
optionalkick_users?:boolean|null
rights.leave_chats?
optionalleave_chats?:boolean|null
rights.participate_pool?
optionalparticipate_pool?:boolean|null
rights.pin_messages?
optionalpin_messages?:"none"|"for_me"|"for_everyone"|null
rights.react_messages?
optionalreact_messages?:boolean|null
rights.send_audio?
optionalsend_audio?:boolean|null
rights.send_documents?
optionalsend_documents?:boolean|null
rights.send_location?
optionalsend_location?:boolean|null
rights.send_messages?
optionalsend_messages?:boolean|null
rights.send_photos?
optionalsend_photos?:boolean|null
rights.send_read_state?
optionalsend_read_state?:boolean|null
rights.send_typing?
optionalsend_typing?:boolean|null
rights.send_voices?
optionalsend_voices?:boolean|null
rights.track_presence?
optionaltrack_presence?:boolean|null
rights.track_read_state?
optionaltrack_read_state?:boolean|null
title
title:
string
type
type:
ChatType